package com.ekexiu.portal.platform;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"pid","id"})
@Table
public class PlatformDemand {
	private String pid;
	private String id;
	private String title;
	private String descp;
	private String pulishTime;
	private String linkOrg;
	private String city;
	private String invalidDay;	
	private String cost;
	private String duration;
	
	@Column(DE.text_de)
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	@Column(DE.text_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.text_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(DE.text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	@Column(value=DE.text_de,renewable=false)
	public String getPulishTime() {
		return pulishTime;
	}
	public void setPulishTime(String pulishTime) {
		this.pulishTime = pulishTime;
	}
	@Column(DE.text_de)
	public String getLinkOrg() {
		return linkOrg;
	}
	public void setLinkOrg(String linkOrg) {
		this.linkOrg = linkOrg;
	}
	@Column(DE.text_de)
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	@Column(DE.text_de)
	public String getInvalidDay() {
		return invalidDay;
	}
	public void setInvalidDay(String invalidDay) {
		this.invalidDay = invalidDay;
	}
	@Column(DE.Text_de)
	public String getCost() {
		return cost;
	}
	public void setCost(String cost) {
		this.cost = cost;
	}
	@Column(DE.Text_de)
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	
	
	
}
